/*
           bsmtp.h
							2003.2.11
							Copyright 2000-2003 Tatsuo Baba


Visual Basic ďoƂ͎DeclaregB

Private Declare Function SendMail Lib "bsmtp" _
      (szServer As String, szTo As String, szFrom As String, _
      szSubject As String, szBody As String, szFile As String) As String

Private Declare Function RcvMail Lib "bsmtp" _
      (szServer As String, szUser As String, szPass As String, _
      szCommand As String, szDir As String) As Variant

Private Declare Function ReadMail Lib "bsmtp" _
      (szFilename As String, szPara As String, szDir As String) As Variant

Private Declare Function RcvMail2 Lib "bsmtp" _
      (szServer As String, szUser As String, szPass As String, _
      szCommand As String, szDir As String, callback As Long) As Variant

Private Declare Function SendMailEx Lib "bsmtp" _
      (szLogfile As String, szServer As String, szTo As String, _
       szFrom As String, szSubject As String, szBody As String, szFile As String) As String

Private Declare Function Base64 Lib "bsmtp" _
      (szData As String, mode As long) As String

Private Declare Function DialHangUp Lib "bsmtp" () As String

Private Declare Function SortMail Lib "bsmtp" _
      (szDir As String, szHeader As String, opt As Long, _
       szFilter As String,delflag As Long) As Variant

Private Declare Function FlushMail Lib "bsmtp" _
      (szServer As String, szDir As String, szLogfile As String) As Long

*/

// 
//    bsmtp.h
//

#ifndef __BSMTP_H__
#define __BSMTP_H__

#ifdef __cplusplus
#define EXTERN_C  extern "C"
#endif

#ifdef __BSMTP_SOURCE__
#define BSMTP_API EXTERN_C __declspec(dllexport) 
#else
#define BSMTP_API EXTERN_C __declspec(dllimport) 
#endif


struct RetArray	{     
   int   counter;
   char* array[256];
};

EXTERN_C
BSMTP_API
void BFreeArray(RetArray* parray);

EXTERN_C
BSMTP_API
int BSendMail( LPCSTR szServer,	// smtp server name
               LPCSTR szTo,		// TO  split by tab char
               LPCSTR szFrom,	// FROM
               LPCSTR szSubject,// SUBJECT
               LPCSTR szBody,	// BODY
               LPCSTR szFile,   // Attach Files  split by tab char
               LPSTR msg		// 80 bytes length message area
                );


EXTERN_C
BSMTP_API
int BPOP3( LPCSTR szServer,	    // pop3 server name
               LPCSTR szName,	// NAME
               LPCSTR szPass,	// PASSWORD
               LPCSTR szCommand,// COMMAND
               LPCSTR szPath,   // Target Directory
               RetArray * retarray,	// return ARRAY LIST
               LPSTR msg		// 80 bytes length message area
                );

EXTERN_C
BSMTP_API
int BMIME( LPCSTR szCommand,    // command name
               LPCSTR szFileName,   // Target Name
               LPCSTR szPath,        // Attach file path or header para
               RetArray* parray,	// return ARRAY LIST
               LPSTR msg		// 80 bytes length message area
                );





EXTERN_C
BSMTP_API
BSTR APIENTRY SendMail( BSTR* Server,	// smtp server name
               BSTR* To,		// TO  split by tab char
               BSTR* From,	// FROM
               BSTR* Subject,// SUBJECT
               BSTR* Body,	// BODY
               BSTR* File);   // Attach Files  split by tab char


EXTERN_C
BSMTP_API
VARIANT APIENTRY RcvMail(BSTR* szServer, BSTR* szUser, BSTR* szPass,
				  BSTR* szCommand, BSTR* szDirname);

EXTERN_C
BSMTP_API
VARIANT APIENTRY RcvMail2(BSTR* szServer, BSTR* szUser, BSTR* szPass,
				  BSTR* szCommand, BSTR* szDirname,int *callback);

EXTERN_C
BSMTP_API
VARIANT APIENTRY ReadMail(BSTR* Filename, BSTR* Para, BSTR* Dirname);

EXTERN_C
BSMTP_API
BSTR APIENTRY SendMailEx(BSTR* Logfile, BSTR* Server, BSTR* To,
						BSTR* From, BSTR* Subject, BSTR* Body, BSTR* File);

EXTERN_C
BSMTP_API
BSTR APIENTRY Base64(BSTR* data, long * mode);

EXTERN_C
BSMTP_API
int BBase64(long mode,BYTE *szdata,int dlen,BYTE *buff,int blen);

EXTERN_C
BSMTP_API
char *BsmtpVersion();

EXTERN_C
BSMTP_API
char **BSortMail(int *retctr,LPCSTR dir,LPCSTR header, int option, LPCSTR filter,
													int delflag);

EXTERN_C
BSMTP_API
VARIANT APIENTRY SortMail(BSTR* dir, BSTR* header, long* option, BSTR* filter,
													long* delflag);

EXTERN_C
BSMTP_API
BSTR APIENTRY DialHangUp();

EXTERN_C
BSMTP_API
int BFlushMail(LPCSTR szServer,	// smtp server name
               LPCSTR szDir,	// [L[
               LPCSTR szLogfile); // Ot@CPASSWORD


#endif
